No puedo instalar yaourt [Solucionado]

Para que opines sobre pacman o comentes problemas instalando algún paquete.
Responder
tenshal
Archer
Archer
Mensajes: 47
Registrado: 09 May 2011, 14:02
Ubicación: Orizaba, México

No puedo instalar yaourt [Solucionado]

Mensaje por tenshal » 15 Abr 2013, 17:57

Acabo de instalar archlinux y al querer instalar yaourt me marca errores. Ya agregué el repositorio:

Código: Seleccionar todo

[archlinuxfr]
#Server = http://repo.archlinux.fr/x86_64
Server = http://repo.archlinux.fr/i686
Les dejo una imagen para que puedan observar:

Imagen

De esta forma pude solucionarlo:
[archlinuxfr]
SigLevel = Optional TrustAll
Server = http://repo.archlinux.fr/$arch
instale yaourt sin problema, y como medida de precaución volví a comentar el archivo.
[archlinuxfr]
#SigLevel = Optional TrustAll
Server = http://repo.archlinux.fr/$arch
y si alguna otro programa tiene problemas de la llave, vere la necesidad si lo instalo o no des-comentando este archivo.[/quote]
Última edición por tenshal el 17 Abr 2013, 17:56, editado 1 vez en total.

Avatar de Usuario
Spooky
Equipo Hispano
Equipo Hispano
Mensajes: 1774
Registrado: 18 Nov 2010, 23:33
Ubicación: Behind your computer

Re: No puedo instalar yaourt

Mensaje por Spooky » 15 Abr 2013, 19:37

Elimina la cache de pacman, o en su defecto el paquete corrupto:

Código: Seleccionar todo

pacman -Scc
Luego de nuevo intenta instalar yaourt:

Código: Seleccionar todo

pacman -S yaourt
Saludos

tenshal
Archer
Archer
Mensajes: 47
Registrado: 09 May 2011, 14:02
Ubicación: Orizaba, México

Re: No puedo instalar yaourt

Mensaje por tenshal » 15 Abr 2013, 22:35

Spooky escribió:Elimina la cache de pacman, o en su defecto el paquete corrupto:

Código: Seleccionar todo

pacman -Scc
Luego de nuevo intenta instalar yaourt:

Código: Seleccionar todo

pacman -S yaourt
Saludos
Hice lo que me recomendaste pero el problema persiste. No logro instalar yaourt

Avatar de Usuario
Spooky
Equipo Hispano
Equipo Hispano
Mensajes: 1774
Registrado: 18 Nov 2010, 23:33
Ubicación: Behind your computer

Re: No puedo instalar yaourt

Mensaje por Spooky » 15 Abr 2013, 23:33

Para empezar, si acabas de instalar arch ya debes tener pacman 4.
Entonces deberias modificar tu pacman.conf, la opcion SyncFirst no es reconocida por pacman, deberias quitarla.

Actualiza:

Código: Seleccionar todo

pacman -Syu
Reintenta instalar yaourt, si el problema persiste entonces baja los tarballs directo de AUR y compila manualmente.
Primero:
https://aur.archlinux.org/packages/package-query/
Segundo:
https://aur.archlinux.org/packages/yaourt/?setlang=es

Saludos

Avatar de Usuario
cuentos
Equipo Hispano
Equipo Hispano
Mensajes: 544
Registrado: 25 Mar 2012, 03:24
Contactar:

Re: No puedo instalar yaourt

Mensaje por cuentos » 16 Abr 2013, 01:39

con la actualización de pacman reciente uno de los cambios fue en "las nuevas llaves", y el de yauort no lo reconoce como firma valida.
Otra forma es de poner que no busque las firmas en yaourt, dejando una vulnerabilidad de los programas de yauort. al no verificar las firmas.
Lo que hice en una pc que me urgía instalar yauort, puse esto:
edite el /etc/pacman.conf, y agregue en la parte de los repositorios de yaourt:
[archlinuxfr]
SigLevel = Optional TrustAll
Server = http://repo.archlinux.fr/$arch
instale yaourt sin problema, y como medida de precaución volví a comentar el archivo.
[archlinuxfr]
#SigLevel = Optional TrustAll
Server = http://repo.archlinux.fr/$arch
y si alguna otro programa tiene problemas de la llave, vere la necesidad si lo instalo o no des-comentando este archivo.
twitter @mcuentos

tenshal
Archer
Archer
Mensajes: 47
Registrado: 09 May 2011, 14:02
Ubicación: Orizaba, México

Re: No puedo instalar yaourt

Mensaje por tenshal » 17 Abr 2013, 17:55

cuentos escribió:
[archlinuxfr]
SigLevel = Optional TrustAll
Server = http://repo.archlinux.fr/$arch
instale yaourt sin problema, y como medida de precaución volví a comentar el archivo.
[archlinuxfr]
#SigLevel = Optional TrustAll
Server = http://repo.archlinux.fr/$arch
y si alguna otro programa tiene problemas de la llave, vere la necesidad si lo instalo o no des-comentando este archivo.
Perfecto bro, me sirvio y ya pude instalar yaourt

Avatar de Usuario
leonelhermetica
Archer
Archer
Mensajes: 43
Registrado: 12 Ago 2012, 11:52
Ubicación: Chivilcoy, Buenos Aires, Argentina

Re: No puedo instalar yaourt [Solucionado]

Mensaje por leonelhermetica » 18 Abr 2013, 20:39

me paso lo mismo en estos dias en una instalacion nueva.. Lo que hice fue eliminiar el paquete corrupto cuando te lo pide yaourt.
Despues

Código: Seleccionar todo

# pacman -Syy
Y recien si me dejo instalar normalmente...

lolomv78
Novato
Mensajes: 12
Registrado: 15 Sep 2012, 05:47

Re: No puedo instalar yaourt [Solucionado]

Mensaje por lolomv78 » 27 Jun 2013, 14:07

tenshal escribió:
cuentos escribió:
[archlinuxfr]
SigLevel = Optional TrustAll
Server = http://repo.archlinux.fr/$arch
instale yaourt sin problema, y como medida de precaución volví a comentar el archivo.
[archlinuxfr]
#SigLevel = Optional TrustAll
Server = http://repo.archlinux.fr/$arch
y si alguna otro programa tiene problemas de la llave, vere la necesidad si lo instalo o no des-comentando este archivo.
Perfecto bro, me sirvio y ya pude instalar yaourt
Eyy gente yo tambien tuve ese problema e hice lo mismo... me sirvió muchisimas gracias amigo

leoneljaviel
Novato
Mensajes: 1
Registrado: 17 Feb 2014, 01:29

Re: No puedo instalar yaourt [Solucionado]

Mensaje por leoneljaviel » 17 Feb 2014, 01:34

Spooky escribió:Para empezar, si acabas de instalar arch ya debes tener pacman 4.
Entonces deberias modificar tu pacman.conf, la opcion SyncFirst no es reconocida por pacman, deberias quitarla.

Actualiza:

Código: Seleccionar todo

pacman -Syu
Reintenta instalar yaourt, si el problema persiste entonces baja los tarballs directo de AUR y compila manualmente.
Primero:
https://aur.archlinux.org/packages/package-query/
Segundo:
https://aur.archlinux.org/packages/yaourt/?setlang=es

Saludos
Esta parte fue la que me permitio instalar dicho programa, gracias por compartir :D :D

Responder